Config
Diff a config bundle
Dry run for a config-as-code apply: returns the projected changes (create / update / delete) for the submitted bundle without writing anything. Submit the full desired set of resources; identity is by name — no ids in the bundle. Run this before apply to preview what would change.
POST
/
v1
/
config
/
diff
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.config.diff({ resources: [{ kind: 'agent', name: 'x' }] });
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.config.diff(
resources=[{
"kind": "agent",
"name": "x",
}],
)
print(response.data)curl --request POST \
--url https://api.roark.ai/v1/config/diff \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resources": [
{
"kind": "agent",
"name": "<string>",
"description": "<string>",
"customId": "<string>",
"endpoints": [
{
"name": "<string>",
"value": "<string>",
"environment": "<string>"
}
]
}
],
"prune": true
}
'
{
"data": {
"changes": [
{
"configKey": "<string>",
"kind": "agent",
"name": "<string>",
"op": "create",
"detail": "<string>"
}
],
"summary": {
"create": 123,
"update": 123,
"delete": 123,
"noop": 123
}
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The projected changes
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.config.diff({ resources: [{ kind: 'agent', name: 'x' }] });
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.config.diff(
resources=[{
"kind": "agent",
"name": "x",
}],
)
print(response.data)